* {
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box; 
    list-style: none; 
    text-decoration: none;
}

html{
    font-size: 62.5%;
   
}

.hamburger-menu{
    width: 3rem;
    height: 3rem;    
    position: fixed;
    top: 5rem;
    right: 5rem;
    z-index: 200;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    cursor: pointer;
    transition: right 0.7s;
}

.change .hamburger-menu {
    right: 33rem;
}

.line {
    width: 100%;
    height: .2rem;
    background-color: #fff;
    box-shadow: 0 0.1rem 0.2rem rgba(0,0,0,0.2);
}

.change .line {
background-color: rgba(0,0,0,0.8);
}

.change .line-1{
    transform: rotate(45deg)
    translate(0.3rem, 0.8rem);
}

.change .line-2{
opacity: 0;
visibility: hidden;
}

.change .line-3{
    transform: rotate(-45deg)
    translate(0.3rem, -0.8rem);
}

.hamburger-menu span{
    position: absolute;
    left: 5rem; 
    width: 10rem;
    height: 4rem;
    background-color: #e2b646;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-family: "Baloo Da 2",
    serif;
    font-size: 1.6rem;
    letter-spacing: 0.1rem;
    opacity: 0;
    visibility: hidden;
    transition: all 0.2s; 
} 

.change .hamburger-menu:hover span{
    opacity: 1;
    visibility: visible;
}


.hamburger-menu span::before{
    content: ""; 
    position: absolute;
    border-left: 1rem solid
    transparent;
    border-right: 1rem solid
    #e2b646;
    border-bottom: 1rem solid
    transparent;
    border-top: 1rem solid
    transparent;
    top: 50%;
    left: -2rem;
    transform: translateY(-50%);
}

.header {
    width: 100%;
    height: 100vh; 
    position: relative;
    perspective: 100rem;
    overflow: hidden;
}

.img-wrapper { 
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.8);
    overflow: hidden;
}

.img-wrapper img {
    width: 100%;
    height: 100%; 
    object-fit: cover; 
    opacity: 0.9; 
    animation: scale 25s; 
    
}


@keyframes scale{
    0% {
        transform: scale(1.3);
    }
    100% {
        transform: scale(1);
    }
}

.banner {
    position: absolute; 
    top: 20%; 
    left: 5%; 
}

.banner h1 {
    font-family: 'Baloo Da 2', 
    serif;
    font-size: 8rem;
    font-weight: 300;
    color: #fff;
    width: 50%;
    line-height: 9rem; 
    letter-spacing: .2rem;
    text-shadow: 0 0.3rem 0.5rem rgba(0,0,0,0.4);
    opacity: 0;
    animation: moveBanner 1s .5s
    forwards; 
}

.banner p {
    font-family: "Josefin Slab", 
    serif;
    font-size: 4rem;
    color: #fff;
    width: 70%;
    letter-spacing: 0.1rem;
    margin-bottom: 3rem; 
    text-shadow: 0 0.3rem .5rem rgba(0,0,0,0.4);
    opacity: 0;
    animation: moveBanner 1s .7s
    forwards; 
}

.banner button {
    width: 25rem;
    height: 7rem;
    background-color: #c29925;
    border: none;
    border-radius: 8px;
    font-family: "Mulish", serif;
    font-size: 2rem;
    text-transform: uppercase;
    color: #fff;
    text-shadow: 0 0.2rem 0.4rem rgba(0,0,0,0.2);
    box-shadow: 0 0.3rem 0.5rem rgba(0,0,0,0.4);
    cursor: pointer; 
    opacity: 0;
    animation: moveBanner 1s .9s
    forwards; 
}

@keyframes moveBanner {
    0%{
        transform: translateY(40rem) 
        rotateY(-20deg);
    }
    100% {
        transform: translateY(0)
        rotateY(0); 
        opacity: 1; 
    }
}

.sidebar{
    width: 40rem;
    height: 100vh;
    position: fixed;
    top: 0; 
    right: -40rem;
    background-color: #fff;
    transition: right 0.5s; 
    z-index: 100;
}

.change .sidebar{
    right: 0; 
}

.menu{
    position: absolute;
    top: 40%;
    left: 50%; 
    transform: translate(-50%, -50%);
}

.menu-item{
    text-align: center;
}

.menu-link{
    font-family: 'Baloo Da 2',
    serif;
    font-size: 4rem;
    color: #555; 
    position: relative;
}

.menu-link::before{
    content: attr(data-content);
    position: absolute;
    top: 0;
    left: 0;
    color: #c29525;
    width: 0;
    overflow: hidden; 
    white-space: nowrap; 
    transition: width 0.3s 
    ease-in-out;
}

.menu-link:hover::before{
    width: 100%;
}

.social-media {
    position: absolute; 
    bottom: 3rem;
    width: 100%;
    display: flex;
    justify-content: center;
}

.social-media i{
    font-size: 2.2rem;
    margin: 3rem;
    width: 4.5rem;
    height: 4.5rem;
    background-color: #777;
    color: #fff; 
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.social-media i:hover{
    background-color: #c29525;
}

.section-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 3rem 0 2rem 0;
    background-color: #a7a7a7;
    border-radius: 15px;
}

.section-heading{
    font-family: "Mulish", serif;
    font-size: 5rem;
    font-weight: 300;
    color: #4b4b4b;
    margin-bottom: 1rem;
}

.underline {
    width: 12rem;
    height: .3rem;
    background-color: #c29525;
    margin: 0 auto;
}

.about-me {
   
    margin: 0 auto;
    padding: 0 3rem;
    text-align: center;
    background-color: #a7a7a7;
    font-family: "Baloo Da 2", serif;
    font-size: 2rem;
    color: #4b4b4b;
    
}


.image img{
    width: 30rem;
    padding: 1rem;
    opacity: .9;
    
}

.Dot{
    
    color: #747474;
}

.footer{
    width: 100%;
    height: 10rem; 
    background-color: #747474;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-content{
    width: 60%;
    display: flex;
    justify-content: space-between;
}

.copyright{
    font-family: "Baloo Da 2", serif;
    font-size: 1.6rem;
    color: #a7a7a7;
}

.social-list a{
    margin: 0 2rem;
}

.social-list i{
    font-size: 2rem;
    color: #a7a7a7; 
}

body{
display: flex;
justify-content: center;
min-height: 100vh;
align-items: center;
background-color: #091921;
font-family: "Baloo Da 2",
serif;
font-size: 1.6rem;

}
.images{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 1em;
    margin: 0 1em; 
    padding: 3rem;
    
}

.images4 img{
    display: block;
    width: 30rem;
    padding: 3rem;
    opacity: .9;
    margin: 1px auto;
    
}

.heading{
    color: #fff;
    text-align: center;
    font-family: "Baloo Da 2",
    serif;
    font-size: 4em;
    margin:  -1rem; 
    padding-top: 2rem;
}
.images img{
    width: 100%;
    cursor: pointer;
}

.images img:hover{
    transform: scale(0.9);
}

.modal{
    position: fixed;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0; 
    background-color: rgba(0,0,0,0.7);
    color: #fff;
    z-index: 1;
    overflow: auto; 
    opacity: 0;
    pointer-events: none;
}

.modalContent{
    min-height: 100vh;
    display: flex;
   flex-direction: column;
    justify-content: center;
    align-items: center;
}

.modalImg{
    width: 80%;
    max-width: 700px;
}

.modalTxt{
    margin-top: 1em;
}
.close {
    position: absolute;
    top: 1em;
    right: 1.5em;
    font-size: 1.5em;
    cursor: pointer;
} 
.modal.appear{
    opacity: 1;
    pointer-events: all; 
}

.modal.appear .modalImg,
.modal.appear .modalTxt{
    animation: zoom 0.3s linear; 
}
@keyframes zoom {
    from {
        transform: scale(0);
    }
    to {
        transform: scale(1);
    }
}

.footer2{
   position: bottom;
    bottom:0px;
    width:100%;
    height:8.5rem;   /* Height of the footer */
    background-color: #091921;
     display: flex;
    justify-content: center;
    align-items: center;
    
}
.footer2-content{
    width: 60%;
    display: flex;
    justify-content: space-between;
     
}

.heading{
    color: #fff;
    text-align: center;
    font-family: "Baloo Da 2",
    serif;
    font-size: 4em;
    margin:  -1rem; 
    padding-top: 2rem;
    
}

.underline3 {
    text-align: center;
    width: 12rem;
    height: .3rem;
    background-color: #c29525;
    margin: 0 auto;
    margin-bottom: 4rem;
  
}

.statementbody{
    min-height: 100vh;
}

.statement{
    
    width: 600px;
    padding: 30px;
    background: #fff;
    margin: auto;
    box-sizing: border-box;
    border-radius: 10px;
    box-shadow: 0 15px 50px rgba(0,0,0,0.2);
    
}

.circle{
    width: 120px;
    height: 120px;
    border-radius: 50%;
    float: left;
    shape-outside: circle();
    margin: 10px 10px 10px 0;
}

.circle img{
    width: 120px; 
    background-color: #fff;
}

.statementinfo{
    margin: 0;
    padding: 0;
    text-align: justify;
    line-height: 22px;
    background-color: #fff;
}

.footer3{
    position: bottom;
     bottom:0px;
     width:100%;
     height:8.5rem;   /* Height of the footer */
     background-color: #091921;
     display: flex;
     justify-content: center;
     align-items: center;
     margin-top: 10rem;
 }
 .footer3-content{
     width: 90%;
     display: flex;
     justify-content: space-between;
 }

 @media(max-width: 1400px){
     .banner h1 {
         font-size: 6rem; 
         line-height: 7rem;
     }

     .banner p {
         font-size: 3rem;
     }
     
     .banner button {
         width: 20rem;
         height: 5rem;
         font-size: 1.6rem;
     }

     .menu-link{
         font-size: 3rem; 
     }
 }

 @media(max-width: 1000px){
.banner h1{ 
    font-size: 5rem;
    line-height: 6rem; 
}

.banner p {
    font-size: 2.5rem; 
}

.banner buttom{
    width: 18rem;
    height: 4rem; 
    font-size: 1.5rem;
}
.footer-content{
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 50%;
}

.copyright{
    order: 1;
    margin-top: .5rem;
}
.footer2-content{
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 50%;
 }

 .footer3-content{
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 50%;
 }
 }

 @media(max-width: 770px){
    .img-wrapper img{
        width: 150%;
        object-fit: cover;
         }
     .banner h1 {
         font-size: 4rem;
         line-height: 5rem;
     }
     .banner p {
         font-size: 2rem;
     }
     .footer2-content{
        flex-direction: column;
        align-items: center;
        text-align: center;
        width: 50%;
     }
     
 }
 
 @media(max-width: 760px){
    .statement{
        width: 75%;
    }
   
   .change .hamburger-menu {
       right: 34rem; 
   }
}



 @media(max-width: 560px){
    html{
        font-size: 45%;
    }

    .img-wrapper img{
   width: 200%;
   object-fit: cover;
    }

    .sidebar{
        width: 100%; 
        right: -100%;
    }

    .change .hamburger-menu {
        right: 68rem; 
    }

    .footer{
        height: 12rem;
    }
}

 @media(max-width: 500px){
    html{
        font-size: 45%;
    }

    .img-wrapper img{
   width: 200%;
   object-fit: cover;
    }

    .sidebar{
        width: 100%; 
        right: -100%;
    }

    .change .hamburger-menu {
        right: 58rem; 
    }

    .footer{
        height: 12rem;
    }
}

 @media(max-width: 450px){
    html{
        font-size: 45%;
    }

    .img-wrapper img{
   width: 200%;
   object-fit: cover;
    }

    .sidebar{
        width: 100%; 
        right: -100%;
    }

    .change .hamburger-menu {
        right: 54rem; 
    }

    .footer{
        height: 12rem;
    }
}

 @media(max-width: 414px){
    html{
        font-size: 45%;
    }
    .sidebar{
        width: 100%; 
        right: -100%;
    }

    .change .hamburger-menu {
        right: 52rem; 
    }
    
    .footer{
        height: 12rem;
    }
}

 @media(max-width: 380px){
    .change .hamburger-menu {
        right: 45rem; 
    }
    .underline {
        margin-top: 2rem;
        margin-bottom: 3rem;
    }
    .underline3 {
        margin-top: 2rem;
        margin-bottom: 8rem;
      
    }
}

@media(max-width: 330px){
    .change .hamburger-menu {
        right: 40rem; 
    }
}

@media(max-width: 280px){
    .change .hamburger-menu {
        right: 36rem; 
    }
}
